Generation Framework

## org.eclipse.gmf.gmfgraph
Interface DiagramLabel

All Superinterfaces:
  DiagramElement, EObject, Identity, Node, Notifier

All Known Implementing Classes:
  DiagramLabelImpl

public interface DiagramLabel
extends Node

A representation of the model object 'Diagram Label'.

The following features are supported:

- `Element Icon`

See Also:
  `GMFGraphPackage.getDiagramLabel()`
** Generated **
Model:

Method Summary
`boolean` `isElementIcon()` Returns the value of the 'Element Icon' attribute.
`void` `setElementIcon(boolean value)` Sets the value of the '`Element Icon`' attribute

Methods inherited from interface org.eclipse.gmf.gmfgraph.Node
`getNodeFigure, getResizeConstraint, setResizeConstraint`

Methods inherited from interface org.eclipse.gmf.gmfgraph.DiagramElement
`find, getFacets, getFigure, setFigure`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Identity
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isElementIcon

    public boolean isElementIcon()

  Returns the value of the 'Element Icon' attribute. The default value is `"true"`.

  If the meaning of the 'Element Icon' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Element Icon' attribute.
  See Also:
    `DiagramLabel.setElementIcon(boolean)`, `GMFGraphPackage.getDiagramLabel_ElementIcon()`
  ** Generated **
  Model:
    default="true"

### setElementIcon

    public void setElementIcon(boolean value)

  Sets the value of the '`Element Icon`' attribute.

  Parameters:
    `value` - the new value of the 'Element Icon' attribute.
  See Also:
    `DiagramLabel.isElementIcon()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.